//
# Copyright (C) 1999 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as published
# by the Free Software Fondation.
# 
# This program is distributed in the hope that it would be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  Further, any license provided herein,
# whether implied or otherwise, is limited to this program in accordance with
# the express provisions of the GNU General Public License.  Patent licenses,
# if any, provided herein do not apply to combinations of this program with
# other product or programs, or any other product whatsoever.  This program is
# distributed without any warranty that the program is delivered free of the
# rightful claim of any third person by way of infringement or the like.  See
# the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this program; if not, write the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston MA 02111-1307, USA.
//

public class japp1 {
    public static void main(String[] args) {
	int	sts;
	trace	pcp = new trace();

	pcp.pmtracestate(pcp.PMTRACE_STATE_API);

	sts = pcp.pmtracebegin("transacting in java");
	if (sts < 0)
	    System.out.println("pmtracebegin error: " + pcp.pmtraceerrstr(sts));

	sts = pcp.pmtraceend("transacting in java");
	if (sts < 0)
	    System.out.println("pmtraceend error: " + pcp.pmtraceerrstr(sts));

	sts = pcp.pmtracepoint("java point");
	if (sts < 0)
	    System.out.println("pmtracepoint error: " + pcp.pmtraceerrstr(sts));

	sts = pcp.pmtraceobs("observing from java", 789.034018);
	if (sts < 0)
	    System.out.println("pmtraceobs error: " + pcp.pmtraceerrstr(sts));
    }
}
